<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Dozent\Lehrplan\GrafikenDruckLehrplan;

class GrafikenDruckLehrplanPresenter extends \Kufer\KuferTools\Basis\Presenter\Presenter
{
  protected function getView()
  {
    return new GrafikenDruckLehrplanView($this->getViewModel());
  }

  protected function getViewModel()
  {
    $viewModel = new GrafikenDruckLehrplanViewModel();
    $filterVon = $this->useCaseResponse->kurstagFilterVon;
    $filterBis = $this->useCaseResponse->kurstagFilterBis;

    $viewModel->datum_von = $filterVon->datum;
    $viewModel->datum_bis = $filterBis->datum;
    $viewModel->uhrzeit_von = $filterVon->zeit_ende;
    $viewModel->uhrzeit_bis = $filterBis->zeit_beg;

    return $viewModel;
  }

  protected function getJsFilesSrcAryWeitere()
  {
    return array(
      $this->getJsFileFromSys('doz_lehrplan.js')
    );
  }
}